<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.impaktsoft.globeup">

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.INTERNET"/>

    <application
        android:name=".App"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".views.activities.PreviewImageActivity"
            android:theme="@style/AppTheme"></activity>
        <activity
            android:name=".views.activities.InitUserActivity"
            android:theme="@style/NoActionBar" />
        <activity android:name=".views.activities.ContainerActivity" />
        <activity android:name=".views.activities.EditEventActivity" />
        <activity android:name=".views.activities.SelectCountryActivity" />
        <activity android:name=".views.activities.WithdrawActivity" />
        <activity android:name=".views.activities.GetCouponActivity" />
        <activity android:name=".views.activities.BuyGCoinActivity" />
        <activity android:name=".views.activities.AddEventActivity" />
        <activity android:name=".views.activities.RegisterActivity" />
        <activity android:name=".views.activities.ForgetPasswordActivity" />
        <activity android:name=".views.activities.LoginActivity" />
        <activity android:name=".views.activities.LevelActivity" />
        <activity android:name=".views.activities.MessengerActivity" />
        <activity android:name=".views.activities.ContactsActivity" />
        <activity android:name=".views.fragments.SelectGroupMembersFragment" />
        <activity
            android:name=".views.activities.SearchEventsByNameActivity"
            android:theme="@style/NoActionBar" />
        <activity android:name=".views.activities.ImageActivity" />
        <activity android:name=".views.activities.DonationActivity" />
        <activity
            android:name=".views.activities.EventActivity"
            android:theme="@style/NoActionBar" />
        <activity android:name=".views.activities.ExperienceActivity" />
        <activity
            android:name=".views.activities.AlertActivity"
            android:theme="@style/Theme.TransparentFullScreen" />
        <activity
            android:name=".views.activities.AuthenticationActivity"
            android:label="@string/title_activity_authentication"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".views.activities.SettingsActivity" />
        <activity
            android:name=".views.activities.MainActivity"
            android:label="@string/title_activity_main" />
        <activity
            android:name=".views.activities.SplashActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/title_activity_splash"
            android:theme="@style/SplashScreenTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="AIzaSyAegfW4fJNu8j4r3z41leu5uGtEVUe_N4c" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.impaktsoft.globeup.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_path" />
        </provider>

        <service
            android:name=".services.database.MyFirebaseMessagingService"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />
            </intent-filter>
        </service>

        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />
        <meta-data android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id"/>

        <activity android:name="com.facebook.FacebookActivity"
            android:configChanges=
                "keyboard|keyboardHidden|screenLayout|screenSize|orientation"
            android:label="@string/app_name" />
        <activity
            android:name="com.facebook.CustomTabActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:scheme="@string/fb_login_protocol_scheme" />
            </intent-filter>
        </activity>


    </application>

</manifest>